On 2018-03-13 10:15 PM, Joe Slater wrote:
Use CONFLICT_DISTRO_FEATURES to not build if des is not supported.

Signed-off-by: Joe Slater <joe.sla...@windriver.com>
  meta-oe/recipes-connectivity/hostapd/hostapd_2.6.bb | 5 ++++-
  1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/meta-oe/recipes-connectivity/hostapd/hostapd_2.6.bb 
index c3a1ead..54c9e79 100644
--- a/meta-oe/recipes-connectivity/hostapd/hostapd_2.6.bb
+++ b/meta-oe/recipes-connectivity/hostapd/hostapd_2.6.bb
@@ -5,7 +5,10 @@ LIC_FILES_CHKSUM = 
  DEPENDS = "libnl openssl"
  SUMMARY = "User space daemon for extended IEEE 802.11 management"
-inherit update-rc.d systemd
+inherit update-rc.d systemd distro_features_check
+CONFLICT_DISTRO_FEATURES = "openssl-no-weak-ciphers"
  INITSCRIPT_NAME = "hostapd"
SYSTEMD_SERVICE_${PN} = "hostapd.service"

Doesn't hostapd have the option of building with an internal encryption 'library' for at least some parts, so openssl is not necessarily required (hence the conflict would be erroneous if a strong openssl were used along with internal hostapd)? At least it seems OpenWrt has an option to build at least some hostapd functionality without openssl...


Openembedded-devel mailing list

Reply via email to